Test::Float::Linear Namespace Reference

Tests for linear constraints More...

## Classes

class | FloatFloat
| Test linear relation over float variables More...
class | FloatVar
| Test linear relation over float variables More...
class | Create
| Help class to create and register tests. More...

## Functions

bool | one (const Gecode::FloatValArgs &a)
| Check whether has only one coefficients.

## Variables

Create | c

## Detailed Description

Tests for linear constraints

## Function Documentation

## one()

bool Test::Float::Linear::one | ( | const Gecode::FloatValArgs & | a | ) |

Check whether has only one coefficients.

Definition at line 46 of file linear.cpp.

## Variable Documentation

## c

Create Test::Float::Linear::c

Definition at line 249 of file linear.cpp.